"use strict";
/* tslint:disable no-unsafe-any */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const base_1 = tslib_1.__importDefault(require("../base"));
const actions_1 = require("../actions");
const lodash_1 = require("lodash");
const constants_1 = require("../constants");
class ApiExtract extends base_1.default {
    async run() {
        // tslint:disable-next-line no-shadowed-variable
        const { flags } = this.parse(ApiExtract);
        this.store.dispatch(actions_1.SET_MODE('api-extract'));
        const { run } = await Promise.resolve().then(() => tslib_1.__importStar(require('../effects/api-extract')));
        return run(flags);
    }
}
ApiExtract.description = 'Extract API from declaration files';
ApiExtract.examples = ['$ recce api-extract -p [directory] -e lib/hello.d.ts'];
ApiExtract.flags = Object.assign({}, base_1.default.flags, lodash_1.pick(constants_1.apiExtractFlags, ['entry', 'output']));
ApiExtract.args = [];
exports.default = ApiExtract;
