"use strict";
/* tslint:disable no-unsafe-any */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const base_1 = tslib_1.__importDefault(require("../base"));
const actions_1 = require("../actions");
const lodash_1 = require("lodash");
const constants_1 = require("../constants");
class Build extends base_1.default {
    async run() {
        // tslint:disable-next-line no-shadowed-variable
        const { flags } = this.parse(Build);
        this.store.dispatch(actions_1.SET_MODE('build'));
        const { build } = await Promise.resolve().then(() => tslib_1.__importStar(require('../effects/build')));
        return build(flags);
    }
}
Build.description = 'build TypeScript library';
Build.examples = [
    '$ recce build -p [directory] -m esm -e src/hello.ts',
    '$ recce build -p [directory] -m cjs -e src/hello.ts -e src/world.ts',
    '$ recce build -m cjs -m umd -m esm -e src/hello.ts -e src/world.ts',
    '$ recce build --no-clean --no-minimize -m umd -e src/hello.ts'
];
Build.flags = Object.assign({}, base_1.default.flags, lodash_1.pick(constants_1.commandFlags, [
    'clean',
    'entry',
    'machine-readable',
    'minimize',
    'module',
    'output',
    'stats'
]));
Build.args = [];
exports.default = Build;
