/// <reference types="webpack" />
import { CompilerOptions, NodeOptions, PackageJson, State, TypescriptErrorRecord } from '../types';
export declare const buildResults: (state: State) => import("../types").BuildResult[];
export declare const compilerOptions: (state: State) => CompilerOptions;
export declare const condClean: (state: State) => boolean;
export declare const condMinimize: (state: State) => boolean;
export declare const context: (state: State) => string;
export declare const contextModules: (state: State) => string;
export declare const declaration: (state: State) => boolean;
export declare const files: (state: State) => {
    [key: string]: string;
};
export declare const machineReadable: (state: State) => boolean;
export declare const mode: (state: State) => import("../types").Mode;
export declare const modules: (state: State) => import("../types").BuildModule[];
export declare const nodeOptions: (state: State) => NodeOptions;
export declare const packageJson: (state: State) => PackageJson;
export declare const rootDir: (state: State) => string | undefined;
export declare const rootModules: (state: State) => string;
export declare const tsErrors: (state: State) => {
    [key: string]: TypescriptErrorRecord;
};
export declare const tsconfig: (state: State) => string;
export declare const buildResultsWithErrors: import("reselect").OutputSelector<State, import("../types").BuildResult[], (res: import("../types").BuildResult[]) => import("../types").BuildResult[]>;
export declare const condBuildWithErrors: import("reselect").OutputSelector<State, boolean, (res: import("../types").BuildResult[]) => boolean>;
export declare const entries: import("reselect").OutputSelector<State, string[], (res1: string[], res2: string) => string[]>;
export declare const outputPath: import("reselect").OutputSelector<State, string, (res1: string, res2: string) => string>;
export declare const outputPathEsm: import("reselect").OutputSelector<State, string, (res: string) => string>;
export declare const outputPathCjs: import("reselect").OutputSelector<State, string, (res: string) => string>;
export declare const outputPathUmd: import("reselect").OutputSelector<State, string, (res: string) => string>;
export declare const outputPathTypes: import("reselect").OutputSelector<State, string, (res: string) => string>;
export declare const condWatch: import("reselect").OutputSelector<State, boolean, (res: import("../types").Mode) => boolean>;
export declare const condBuild: import("reselect").OutputSelector<State, boolean, (res: import("../types").Mode) => boolean>;
export declare const dependencies: import("reselect").OutputSelector<State, {
    [name: string]: string;
} | undefined, (res: PackageJson) => {
    [name: string]: string;
} | undefined>;
export declare const devDependencies: import("reselect").OutputSelector<State, {
    [name: string]: string;
} | undefined, (res: PackageJson) => {
    [name: string]: string;
} | undefined>;
export declare const combinedDependencies: import("reselect").OutputSelector<State, {
    [name: string]: string;
} & {
    [name: string]: string;
}, (res1: {
    [name: string]: string;
} | undefined, res2: {
    [name: string]: string;
} | undefined) => {
    [name: string]: string;
} & {
    [name: string]: string;
}>;
export declare const packageName: import("reselect").OutputSelector<State, string, (res: PackageJson) => string>;
