"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const readFileAsync_1 = require("./readFileAsync");
const store_1 = require("../store");
const selectors_1 = require("../selectors");
const checkTsconfig_1 = require("./checkTsconfig");
const tsconfig_1 = require("tsconfig");
exports.compilerOptions = async () => {
    await checkTsconfig_1.checkTsconfig();
    const state = store_1.store.getState();
    const filename = selectors_1.tsconfig(state);
    const json = tsconfig_1.parse(await readFileAsync_1.readFileAsync(filename, 'utf-8'), filename);
    return lodash_1.defaults(lodash_1.isUndefined(json.compilerOptions) ? {} : json.compilerOptions, state.defaults.compilerOptions);
};
