"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pkgUp = require("pkg-up");
const lodash_1 = require("lodash");
const normalizePackageJson_1 = require("./normalizePackageJson");
const readFileAsync_1 = require("./readFileAsync");
const isDirectory_1 = require("./isDirectory");
exports.packageJson = async (cwd) => {
    const { test } = await isDirectory_1.isDirectory(cwd);
    if (!test) {
        throw new Error(`${cwd}: No such directory`);
    }
    const path = await pkgUp({ cwd });
    if (!lodash_1.isNull(path)) {
        return {
            path: path,
            content: normalizePackageJson_1.normalizePackageJson(JSON.parse(await readFileAsync_1.readFileAsync(path, 'utf8')))
        };
    }
    throw new Error(`package.json: No such file`);
};
